Skip to main content
`Ctrl`+`K`

# VecGetDM

Gets the `DM` defining the data layout of the vector

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode VecGetDM(Vec v, DM *dm)

Not Collective

## Input Parameter

- v - The `Vec`

## Output Parameter

- dm - The `DM`

## Note

A `Vec` may not have a `DM` associated with it.

## See Also

DM Basics, `DM`, `VecSetDM()`, `DMGetLocalVector()`, `DMGetGlobalVector()`, `DMSetVecType()`

## Level

intermediate

## Location

src/dm/interface/dm.c

## Examples

src/snes/tutorials/ex36.c
src/ksp/ksp/tutorials/ex43.c
src/ts/tutorials/ex30.c
src/ts/tutorials/ex18.c
src/ts/tutorials/ex11.c
src/snes/tutorials/ex27.c
src/snes/tutorials/ex13.c
src/snes/tutorials/ex7.c
src/snes/tutorials/ex11.c
src/snes/tutorials/ex22.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages